# Einleitung

Als Shopdienstleister haben wir die Entstehung und Entwicklung des E-Commerce miterlebt und in den letzten 15 Jahren die verschiedensten Shopsysteme kennen gelernt. Manche dieser Shopsysteme sind heute noch auf dem damaligen technischen Stand und erfreuen sich dennoch immer noch großer Popularität. Dabei haben die vor einigen Jahren entstandenen PHP-Frameworks die Entwicklung von PHP-basierten Webapplikationen revolutioniert und ermöglichen wesentlich agilere Entwicklungsprozesse. 

Als Projektentwickler haben wir die Auswirkungen von ineffizienten Shopsystemen selbst erfahren müssen: Projekte, die nicht in der geplanten Zeit und nicht mit dem geplanten Budget abgeschlossen werden konnten. Man könnte jetzt natürlich zu dem Schluss kommen, dass die Ursache dafür bei dem Programmierer (also bei uns) zu suchen ist und zeitweise haben wir das sogar selbst befürchtet. Zum Glück galt dies nicht für die Projekte, die wir mit dem CMS-Framework SilverStripe umgesetzt haben. Damit war klar, dass es an der Software lag und dass die bisher von uns eingesetzten Shopsysteme nicht länger mit unseren Ansprüchen und mit unserer Arbeitsweise vereinbar werden konnten.

Dabei muss man berücksichtigen, dass es verschiedene Perspektiven auf ein so komplexes System wie einen Webshop gibt. 

* Shopbetreiber, die vor allem anhand der Feature-Liste, den Kosten und bestehenden Referenzkunden entscheiden
* Designer, die Wert auf einfache Anpassung von Layout und Design legen
* Programmierer, von einer sauberen Architektur und einem funktionierenden Erweiterungskonzept abhängig sind
* Benutzer, die den Webshop im produktiven Einsatz bedienen und großen Wert auf einfache Bedienbarkeit legen

Diese Aufzählung zeigt nur die wichtigsten Personengruppen und deren Anforderungen an ein modernes Shopsystem. 

Mit SilverCart haben wir ein Shopsystem geschaffen, das die verschiedenen Ansprüche in sich vereint. Dabei wird jedoch besonderer Wert auf die wirtschaftliche Anpassung, Erweiterung und Wartung der Shopsoftware gelegt. Denn das sind die wahren Kostentreiber in einem Projekt. Leider werden diese Kostentreiber erst sichtbar lange nachdem der Shopbetreiber den Betrieb aufgenommen hat.

Wir haben uns vor der Entwicklung von SilverCart die Frage gestellt, ob die Welt angesichts der vielen existierenden Shopsysteme noch ein weiteres braucht oder ob wir uns auf ein Fremdprodukt spezialisieren. Die Antwort war schnell gefunden: wir sind davon überzeugt, dass das CMS-Framework SilverStripe für unsere Kunden und unsere Ansprüche die mit Abstand wirtschaftlichste Lösung zur Entwicklung individueller Webprojekte ist. Alleine die Tatsache, dass wir SilverCart in so kurzer Zeit entwickeln konnten birgt in sich schon die Bestätigung für SilverStripe als effizientes Baukastensystem.

„SilverStripe 3 - we call it CMS, some people refer to it as CMS, but it should be called something else like a web app SDK. Regardless of the name it's going to be a full-on development framework with a UI.“ - Felipe Skroski, SilverStripe UI Designer

Dieses Zitat beschreibt unsere Sichtweise auf SilverStripe sehr genau - je nach Projektanforderung ist es ein Content Management System, ein Content Management Framework oder ein Software Development Toolkit für Internetapplikationen. Egal von welcher Seite man es betrachtet, in jedem Fall haben wir mit SilverCart ein mächtiges Shopmodul für SilverStripe geschaffen.