# Tab Einstellungen





## Einstellungen

### Hauptteil

Pflegen Sie im ersten Feld "E-Mail Absender" die E-Mail-Adresse, die bei allen E-Mails des Shops als Absender angegeben werden soll. Sie müssen immer eine Absender Adresse angeben, da einige Mailserver Mails ohne Absender als SPAM betrachten und die E-Mail nicht annehmen. Sie werden bei der Erstinstallation aufgefordert, diese Emailadresse einzupflegen.

Das zweite Feld "Globaler E-Mail Empfänger" ist kein Pflichtfeld. Sie können hier eine E-Mail-Adresse angeben, an die eine Kopie aller von SilverCart versendeten E-Mails geht. Bitte beachten Sie, dass Ihr Postfach dadurch erheblich belastet werden kann und dass viele E-Mails unter Umständen doppelt an Sie versendet werden.

Über die Checkbox "Geburtsdatum bei Registrierung abfragen?" können Sie bestimmen, ob das Geburtsdatum bei der Registrierung angegeben werden muss.

Im folgenden Dropdown definieren Sie einen standard Artikelzustand, zB neu, gebraucht, generalüberholt, etc. Bitte beachten Sie, dass Sie unter Silvercart Konfiguration-> Artikelzustand zuerst Artikelzustände anlegen müssen, bevor das Dropdown-Feld Werte anzeigt.


### Zugriff

### SEO

Google Webmaster Tools Code
Google Webmaster Tools ist ein kostenloser Service von Google. 

Über die Google Webmaster Tools erhalten Sie man Informationen über die Ihren Webshop, die nicht öffentlich verfügbar sein sollen. So sehen Sie dort unter anderem, welche Websites auf Ihre Domain verlinken, zu welchen Suchbegriffen die Ihre Domain in der Google-Suche gefunden wird und ob sowie welche Probleme beim Crawling festgestellt wurden.

Darüber hinaus dienen die Google Webmaster Tools als Kommunikationskanal zwischen Ihnen und Google. Sofern es Probleme mit Ihrer Website gibt, beispielsweise eine Infektion der Domain mit Malware, erhalten Sie eine Benachrichtigung. 

Um Zugriff auf die in Google Webmaster Tools bereitgestellten Informationen zu einer Domain erhalten, müssen Sie die Inhaberschaft der Domain bestätigen. Um die Inhaberschaft zu bestätigen, kopieren Sie den Google Webmaster Tools Code in das Textfeld und speichern Sie die Änderung.

Der Google Webmaster Tools Code kann nun von Google ausgelesen werden.

Google Analytics Tracking Code
Google Analytics ist ein Dienst von Google mit dem Sie den Datenverkehr Ihrer Website analysieren können. Dabei werden unter anderem die Herkunft der Besucher, die Verweildauer sowie die Nutzung durch Suchmachinen analysiert.
Wenn Sie Google Analytics nutzen möchten, tragen Sie den Tracking Code in das Textfeld ein und speichern Sie die Änderung.

Da die Informationen bei Google und damit ausserhalb der eigenen Kontrolle gespeichert werden, sehen viele Datenschützer den Dienst als problematisch an. Eine Alternative hierzu ist die Analysesoftware piwik.

Google Conversion Tracking Code
Im Rahmen von Google Analytics können Sie die Conversionsrate im E-Commerce messen. Hierzu benötigt Google Informationen über erfolgreiche Kaufabschlüsse. Diese werden über den Google Conversion Tracking Code an Google übermittelt.

Kopieren Sie den Google Conversion Tracking Code in das Textfeld ein und speichern Sie die Änderung.

Piwik Tracking Code
Piwik ist ein Open-Source-Programm für Webanalytic und eine echte Alternative zu Google Analytics. Piwik hat den Vorteil, dass die erhobenen Daten nicht bei einem Fremdanbieter gespeichert werden.

Wenn Sie Piwik nutzen möchten, tragen Sie den Piwik Tracking Code in das Textfeld ein und vergessen Sie nicht die Änderung zu speichern.

### SocialMedia

Facebook Link

Twitter Link

Xing Link

### Übersetzungen

### Formular Konfiguration

Anzahl der Zeichen im Captcha

Breite in Pixel

Höhe in Pixel

JPG Qualität des Captcha-Bilds (0 [schlechteste] bis 100 [beste])

## Einstellungen Shop

Die allgemeinen Konfigurationsoptionen der SilverCart Shopsoftware sind übersichtlich in verschiedene Menüpunkte einsortiert.

Wahrscheinlich werden Sie die Einstellungen einmalig bei der Einrichtung Ihres SilverCart Webshops vornehmen und danach nur noch in seltenen Fällen nachträglich etwas anpassen.

### Hauptteil

#### Grund-Einstellungen

Standardsprache
Mit diesem Dropdown können Sie die Standardsprache Ihres Online-Shops einstellen. 
Wenn Sie Ihren Online-Shop in mehreren Sprachen betreiben wollen, dann ist ein Wechsel in eine andere Sprache für den Besucher über die Sprachauswahl im Frontend möglich. Über die Standardsprache wird festgelegt, welche Sprache voreingestellt ist.

Standardsprache benutzen, wenn die passende Sprache fehlt
Für den Fall, dass keine passende Sprache gefunden werden kann, kann die gewählte Standardsprache als Notlösung verwendet werden. Aktivieren Sie hierfür die Checkbox.

Standard Währung
Die Standardwährung muss im ISO 4217 Format eingegeben werden. Jede Währung ist immer eine Kombination aus drei Buchstaben, zum Beispiel EUR, CHF, GBP oder USD.

Standard Preistyp
Der Standard Preistyp bestimmt in welcher Form die Preise im Shop angezeigt werden, wenn eine Zuordnung zu Kundengruppen nicht möglich ist. Dieser Fall tritt beispielsweise dann ein, wenn ein Besucher nicht eingeloggt ist oder kundengruppenspezifische Preise nicht gewünscht sind.

Bei der Einstellung brutto werden die Preise inklusive der am Artikel hinterlegten Mehrwertsteuer angezeigt. Dies ist dann sinnvoll, wenn sich Ihr Angebot hauptsächlich an Endverbraucher (B2C) richtet.

Mit der Einstellung netto werden die Preise für Wiederverkäufer oder Geschäftskunden zuzüglich der Mehrwertsteuer angezeigt. 

Achtung Abmahngefahr: wenn Sie mit Nettopreisen werben müssen Sie dafür Sorge tragen, dass sich dieses Angebot ausschliesslich an Letztverbraucher in ihrer selbständigen beruflichen oder gewerblichen oder in ihrer behördlichen oder dienstlichen Tätigkeit richtet.


#### E-Mail-Einstellungen

E-Mail Absender
Der E-Mail Absender wird als Absenderadresse aller E-Mails verwendet, die von SilverCart gesendet werden.

Globaler E-Mail Empfänger
Sie können den einen globalen E-Mail Empfänger optionalhinterlegen. An diese E-Mail-Adresse werden alle vom Shop erzeugten E-Mails (Bestellbestätigungen, Kontaktanfragen, etc.) gesendet. 

Die bei den E-Mail-Templates gesetzten Empfängeradressen bleiben davon unberührt. Diese werden nicht ersetzt, sondern nur ergänzt.

Standard E-Mail-Empfänger
E-Mails, die für den Shop-Betreiber bestimmt sind, werden an die hier hinterlegte Adresse gesendet.

Standard E-Mail-Empfänger für Auftragsbenachrichtigungen
Auftragsbenachrichtigungen werden nicht mehr an den Standard E-Mail-Empfänger, sondern an die hier hinterlegte Adresse gesendet. Hier können Sie die E-Mail-Adresse eines bestimmten Sachbearbeiters der für die Bearbeitung von Bestellung zuständig ist hinterlegen.

Standard E-Mail-Empfänger für Kontaktanfragen
Kontaktanfragen werden nicht mehr an den Standard E-Mail-Empfänger, sondern an die hier hinterlegte Adresse gesendet. Nutzen Sie diese Funktion, wenn ein bestimmter Mitarbeiter für die Bearbeitung von Kundenanfragen zuständig ist.

Eine Mitarbeiterübergreifende Bearbeitung von Anfragen ist mit unserem optional erhältlichen SilverCart Ticket-System möglich.

#### Kunden-Einstellungen

Geschäftskunden erlauben
Wenn Sie diese Option aktiviert haben, können sich neue Kunden bei der Registrierung als Geschäftskunden registrieren. Hierbei ist in der Regel eine individuelle Nachprüfung der Gewerbeanmeldung oder des Handelsregistereintrags notwendig.

Adresseingabefelder für PACKSTATION aktivieren
Aktivieren Sie diese Checkbox, wenn Sie die Zustellung an eine Packstation zulassen möchten.

Geburtsdatum bei Registrierung abfragen?
Diese Checkbox aktiviert die Abfrage des Geburtsdatums bei der Registrierung. Für eine Bestellabwicklung nach FSK18 reicht dies alleine jedoch nicht aus. 

#### Artikel-Einstellungen

Lagerbestandsverwaltung aktivieren
Ist die Lagerbestandsverwaltung aktiviert, also die Checkbox `Lagerbestandsverwaltung aktivieren` ausgewählt, kann ein Artikel nur in den Warenkorb gelegt werden, wenn sein Lagerbestand größer null ist. Ein Kunde kann von einem Artikel dann auch nur die verfügbare Anzahl in den Warenkorb legen.

Ist der Lagerbestand generell überbuchbar?
Ist ein Lagerbestand überbuchbar (gesteuert über die Checkbox `Ist der Lagerbestand generell überbuchbar?`), dann kann ein Artikel immer in den Warenkorb gelegt werden. Der Lagerbestand des Artikels wird dann trotzdem weitergezählt und kann somit auch negativ werden.

Artikel pro Seite
Anzahl der Artikel, die in einer Warengruppe angezeigt werden bevor paginiert wird.

Warengruppen pro Seite
Anzahl der Warengruppen, die in einer Warengruppenübersicht gezeigt werden; Darüber hinaus wird paginiert.

Anzahl gleichzeitig angezeigter Seitenzahlen
Über diesen Wert können Sie einstellen, wie viele Seitenzahlen gleichzeitig angezeigt werden wenn die Anzeige über mehrere Seiten erfolgt.

Standard Artikelbild
Dieses Bild wird angezeigt, wenn an einem Artikel gar keine Bilder gepflegt sind.

Strengere Suche verwenden
Je nach Sortiment kann es sinnvoll sein, die Suche strenger durchzuführen. Dadurch wird das Suchergebnis zwar besser, aber unter Umständen zu stark eingeschränkt. Bei großen Artikelmengen ist eine strenge Suche in der Regel schneller und blockiert weniger Systemressourcen.

Vorgabe-Zustand
Der hier hinterlegte Vorgabe-Zustand wird verwendet, wenn nichts anderes am Artikel definiert ist.



#### Warenkorb- & Checkout-Einstellungen

SSL verwenden
Der Checkout Prozess kann über eine SSL Verbindung laufen. Dazu benötigt die Seite aber noch ein entsprechendes Zertifikat. Aktivieren Sie diese Option, wenn Sie ein gültiges SSL-Zertifikat installiert haben und SSL in Ihrem Webshop verwenden möchten. 

Kunde zum Warenkorb umleiten nach Aktion "In den Warenkorb legen"
Nachdem der Kunde ein Produkt in den Warenkorb gelegt hat, können Sie den Kunden direkt zum Warenkorb umleiten indem Sie diese Option aktivieren. Ist die Option nicht aktiviert, verbleibt der Kunde auf der aktuellen Seite, nachdem er ein Produkt in den Warenkorb gelegt hat.

Sofort zum Checkout umleiten, wenn Kunde den Warenkorb betritt.
Der Kunde kann automatisch zur Warenkorbseite geleitet werden nachdem er etwas in den Warenkorb gelegt hat. Diese Option bewirkt, dass direkt der Checkout-Prozess eingeleitet wird anstatt den Warenkorb anzuzeigen.

Artikelbeschreibung in Warenkorb anzeigen
Mit dieser Option können Sie einstellen, ob eine weiterführende Artikelbeschreibung eines Produkts im Warenkorb bei der Anzeige des Produkts dargestellt wird. In der folgenden Option Feld für Artikelbeschreibung im Warenkorb können Sie auswählen, welcher Feldinhalt hierfür benutzt wird.

Feld für Artikelbeschreibung im Warenkorb
Diese Auswahl wirkt in Verbindung mit der Option Artikelbeschreibung in Warenkorb anzeigen. Hier können Sie auswählen, ob die Artikelbeschreibung oder die Listenbeschreibung am jeweiligen Artikel in der Warenkorbansicht dargestellt wird. Da die Artikelbeschreibung einen sehr langen HTML-Text und auch Bilder enthalten kann, sollte diese Entscheidung sorgfältig geplant werden. 

Empfehlenswert ist die Pflege einer optimierten Listenbeschreibung, da diese auch an anderer Stelle sinnvoll verwendet werden kann.

Maximal erlaubte Anzahl eines Artikels im Warenkorb
Hier können Sie die gewünschte Menge eintragen, wenn Sie die Anzahl eines Artikels den ein Kunde pro Kaufvorgang erwerben kann beschränken wollen. Dadurch wird Anzahl der kaufbaren Produkte auf den hinterlegten Wert begrenzt. Dies kann prinzipiell jedoch umgangen werden, indem der Kunde mehrere Kaufabschlüsse tätigt.

Mindestbestellwert aktivieren
Es kann für den Checkout ein Mindestbestellwert definiert werden. Mit dieser Option können Sie einstellen, ob ein Mindestbestellwert erreicht werden muss, bevor die Bestellung ausgelöst werden kann. Ist dieser Mindestbestellwert nicht erreicht, kann der Kunde nicht zur Kasse gehen.

Mindestbestellwert
In Verbindung mit der Option Mindestbestellwert aktivieren können Sie hier den gewünschten Betrag eingeben, den der Warenkorb mindestens erreichen muss um eine Bestellung zu ermöglichen.
Die angezeigte Währung entspricht der hinterlegen Standard Währung und wird automatisch geändert, sobald sich die Standard Währung ändert.
 
Einstellungen zur Versandkostenfreiheit benutzen
Wenn Sie ab einem Bestimmten Betrag versandkostenfrei versenden möchten, dann aktivieren Sie diese Option. 

Versandkostenfrei ab
In diesem Feld können Sie den konkreten Betrag einstellen, aber dem Bestellungen versandkostenfrei versendet werden. Beachten Sie, dass hierfür zusätzlich die Option Einstellungen zur Versandkostenfreiheit benutzen aktiviert sein muss.

Auswahl der Versandart überspringen, wenn nur eine auswählbar ist.
Im Checkout-Prozess gibt es einen eigenen Schritt zur Auswahl der Versandart. Wenn nur eine Versandart möglich ist, kann dieser Schritt übersprungen werden, da der Kunde auf der Seite keine Auswahl treffen kann. Aktivieren Sie hierfür diese Option um den Bestellschritt der Versandartauswahl zu überspringen.

Auswahl der Zahlungsart überspringen, wenn nur eine auswählbar ist.
Im Checkout-Prozess gibt es einen eigenen Schritt zur Auswahl der Zahlungsart. Wenn nur eine Zahlungsart möglich ist, kann dieser Schritt übersprungen werden, da der Kunde auf der Seite keine Auswahl treffen kann. Aktivieren Sie hierfür diese Option um den Bestellschritt der Zahlungsartauswahl zu überspringen.

Gewichte in Kilogramm (kg) anzeigen
Gewichte werden in SilverCart intern in Gramm verarbeitet. Abhängig von Sortiment kann es sinnvoll sein, die Gewichte in Kilogramm anzuzeigen. Aktivieren Sie diese Option, wenn Gewichte in Kilogramm und nicht in Gramm angezeigt werden sollen.

Hinweis für zusätzliche Gebühren ins Nicht-EU Ausland anzeigen.
Durch Aktivierung dieser Option wird in der Bestellzusammenfassung ein Hinweis angezeigt, dass zusätzliche Zölle, Steuern und Gebühren bei der Lieferung in Drittländer anfallen können.

Rechnungsadresse entspricht immer Lieferadresse
Mit Aktivierung dieser Option kann keine separate Lieferadresse vom Kunden eingetragen werden. Da SilverCart intern immer eine Lieferadresse benötigt, wird hierfür automatisch die Rechnungsadresse hinterlegt.

#### Betreiber-Daten

Tragen Sie hier Ihre Betreiber-Daten ein. Diese werden dann bei der Nutzung des Widerrufsformulars automatisch eingesetzt.
Die hier hinterlegten Betreiber-Daten werden nicht im Impressum verwendet. Achten Sie deshalb insbesondere auf ein rechtssicheres Impressum.

#### Sicherheits-Einstellungen

Es kann vorkommen, dass Ihr Webshop von Preissuchmaschinen oder Bots gelegentlich so stark besucht wird, dass die Geschwindigkeit darunter leidet. Oftmals geschieht die mit guten Absichten, manchmal aber auch missbräuchlich.

Wenn Sie einen Bot identifiziert haben, der einzelne Formulare zum spammen missbraucht oder den gesamten Shop in Beschlag nimmt, können Sie den Zugriff für die User-Agent-Kennung des Bots vollständig sperren.

Achten Sie daraus, dass Sie nicht aus versehen die User-Agent-Kennung eines normalen Webbrowsers hier eintragen - der Shop wäre dann für keinen richtigen Besucher mit diesem Browser nutzbar.

#### Mobile Version

#### Beispieldaten und Beispielkonfiguration

Bevor Sie mit einer frischen SilverCart Installation starten können möchten, müssen Sie einige Vorbereitungen treffen und eine Reihe Einstellungen vornehmen. 

Sie müssten Steuersätze, Versandarten, Versender, Artikel, Zahlarten und vieles mehr erst einmal einstellen und anlegen. Die Beispieldaten ersparen Ihnen diesen Prozess. Mit einem Druck auf den ersten Knopf werden Artikel, Warengruppen und Hersteller angelegt. 

Mit einem Klick auf den zweiten Knopf werden Zahlungsart, Frachtführer, Versandart und Versandartgebühren angelegt und konfiguriert. Artikel können jetzt per Vorkasse gekauft werden.

Ihr Shop ist voll funktionstüchtig.


## Shop E-Mails

Mit SilverCart haben Sie über das Back-End vollen Zugriff auf die Textinhalte aller E-Mails, die der Shop automatisiert versendet. Das spart Zeit und Kosten, denn es müssen keine Änderungen auf Dateiebene gemacht werden.

Das Bild zeigt die Shop E-Mail Vorlagen (Templates), die bei einer Standardinstallation angelegt werden. Es gibt noch einige zusätzliche Templates, wie etwas das des Vorkasse Zahlungsmoduls.

Hauptteil
Unter diesem Reiter können Sie den Bezeichner, den Betreff und die Nachricht der E-Mail pflegen.

Als Beispiel betrachten wir das E-Mail Template mit dem Bezeichner "ContactMessage" im Detail.
Die Bezeichner dienen der Identifikation des Email Templates im Programmcode und dürfen nicht verändert werden.

Der Betreff wird so auch als Betreff der E-Mail verwendet. Das Template ist noch mit HTML-Markup versehen, das die Email formatiert. Zusätzlich gibt es in diesem Template noch Variablen, die dann mit Werten aus den Feldern des Kontaktformulars befüllt werden. Beim Kontaktformular sind das Vorname, Nachname, E-Mail und Nachricht. 

Wenn Sie zusätzliche Variablen einführen wollen, müssen Änderungen am Programmcode gemacht werden.

Übersetzungen
Sie können alle E-Mails in beliebiger Sprache anlegen. Nutzen Sie die Übersetzungsfunktion um den Betreff und die Nachricht in eine andere Sprache zu übersetzen. Der Bezeichner bleibt dabei für alle Übersetzungen einer E-Mail gleich.


## Nummernkreise

Viele Shopbetreiber haben durch ihr Warenwirtschaftssystem oder sonstige Schnittstellen schon genaue Formatvorgaben für bestimmte Identifikationsnummern. Mit Nummernkreisen kann man diese sehr detailliert festlegen. Das Beispiel zeigt den Nummernkreis "Kundennummern". Diese beginnen bei 100000 und enden bei 999999. Es gibt zusätzlich noch die Möglichkeit Einem Nummernkreis eine Buchstaben- oder Zahlenkombination vorauszustellen (Präfix) oder hinten anzuhängen (Suffix).

In der Standardinstallation existieren schon die Nummernkreise "Kundennummer" und "Bestellnummer". Wenn Sie eigene Nummernkreise erstellen, müssen Sie noch einen Identifikator pflegen. Dieser kann nachträglich nicht verändert werden und wird auch nicht mehr angezeigt.

Der Aktuelle Stand des Nummernkreises wird im letzten Feld angezeigt.