# Features

As SilverCart is a module for SilverStripe a SilverCart webshop can integrate seamlessly other SilverStripe modules like the blog and the forum module. Especially a well maintained blog provides a site with constantly refreshed content.

Search engines love fresh content and customers are more likely to visit a site that provides interesting news via a blog.

* Content and products are maintained via the same backoffice
* Spread news via blog
* Provide support via forum

As SilverCart is based on the PHP-framework Sapphire a sites features can be easily customized and new features are implemented in short time. This saves you development costs while SilverCart and all used modules stay updatable.
## Product and manufacturer administration
- - -

* Master and slave products (product variations can be grouped while the variations can be independently maintained)
* A products stock status can be displayed as quantity or with a traffic light as a symbol.
* Products can be provided with multiple images or a gallery.
* Unlimited quantity of products and product groups.
* Products can be mirrored in several product groups.
* A product can be assigned/“mirrored” to multiple product groups.
* Each product has a unique URL to avoid duplicate content.
* Each product can have multiple files assigned (PDF,DOC,XLS, etc.)
* WYSIWYG-Editor to customize a products display design
* Drag&Drop reordering
* manufacturer logo and link maintainable
* asset management for files and pictures
* various possibilities to filter products

## Layout & design
- - - 

* customizable HTML templates
* layout free of old-fashioned table design
* W3C valid XHTML
* switch for grid/list view of products

## Payment methods and interfaces
- - -

* PayPal payment module
* iPayment payment module
* further payment providers implementable via payment API
* Checkout steps customizable
* Flexible tax calculation system

## User and shop administration
- - -

* User account area with order history
* Vouchers and coupons module (available soon)
* Professional support of a young and freshly thinking developer team
* Number ranges definable
* B2B or B2C

## Development & customization
- - -

* Code 100% object orientated, well encapsulated and 100% documentated
* Class diagram and API documentation
* Integrated update mechanism
* Import and export via CSV
* code and database with UTF-8 charset

## Expandability
- - -

* SEO: Google sitemap, Google webmaster ID and analytics ID maintainable
* Automated W3C status reporting for better ranking
* Hosting @ our servers for 100% hardware/software compatibility
* CRM and ticket system